
QGIS Application - Bug report #17460

crash when removing layer

2017-11-14 03:15 PM - Lee Han

Status: Closed

Priority: High

Assignee:

Category: Map Legend

Affected QGIS version:master Regression?: Yes

Operating System: windows 64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 25357

Description

QGIS 2.99

right clic on a layer and left clic to remove it makes qgis crashs.

report :

h2. User Feedback

Report Details

Crash ID: 8f6702be48dfee900f68095b8588e5343a9ab391

Stack Trace

QByteArray::QByteArray :

QgsShadowEffect::boundingRect :

QgsShadowEffect::boundingRect :

QgsShadowEffect::boundingRect :

QgsShadowEffect::boundingRect :

QgsShadowEffect::boundingRect :

QgsShadowEffect::boundingRect :

QgsExternalResourceConfigDlg::metaObject :

QgsExternalResourceConfigDlg::metaObject :

QWidget::event :

QCoreApplicationPrivate::sendThroughApplicationEventFilters :

QFrame::event :

QApplicationPrivate::notify_helper :

QWidgetPrivate::hide_helper :

QWidget::setVisible :

QWidget::setVisible :

QDialog::setVisible :

QWidget::hide :

QDialog::done :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:82644fb37f

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.2

Running against GDAL: 2.2.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601
History

#1 - 2017-11-14 03:19 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

- Category changed from Unknown to Map Legend

#2 - 2018-01-15 05:27 AM - Nyall Dawson

- Status changed from Open to Feedback

There's not enough detail here to action this report, and the stacktrace is invalid (it may have been using out-of-date debug symbols, or an earlier version

of the crash handler).

#3 - 2018-01-24 09:12 AM - Nyall Dawson

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closed due to lack of feedback
